#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.1
visibility:           public
id:                   lsp-1.2.0.1-8XIZL3SAVsH3SWgfnQrviJ
key:                  lsp-1.2.0.1-8XIZL3SAVsH3SWgfnQrviJ
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  650fa925da7ab935f2f7d147ca17f21d
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.3.0.1-FUcEh9OlwJpGKjgojIsUBd:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-FUcEh9OlwJpGKjgojIsUBd:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.3.0.1-FUcEh9OlwJpGKjgojIsUBd:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.3.0.1-FUcEh9OlwJpGKjgojIsUBd:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.2.0.1-8XIZL3SAVsH3SWgfnQrviJ
depends:
    aeson-1.5.6.0-9Pr07X4KYAQGYkzJzuJMP6
    async-2.2.4-256lhPDrTpH6romyyjDcSx
    attoparsec-0.14.4-C8JScaBf7EBAyHQottuuQN base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW
    dependent-map-0.4.0.0-E1BkzMIS8L6AKEf7wZUBve exceptions-0.10.4
    hashable-1.4.0.2-J44BDnT4N4jIfsjZsKg5ZQ
    hslogger-1.3.1.0-7UUSBtFv9ap5XhMnCFR0ow
    lens-5.1.1-9Bb1bNPS9K0CqITb8wuoWH
    lsp-types-1.3.0.1-FUcEh9OlwJpGKjgojIsUBd mtl-2.2.2
    network-uri-2.6.4.1-1pF7wEplABcLvTQkIWYZHD
    random-1.2.1.1-9D10sZLOM5T93tMINb9MTT
    scientific-0.3.7.0-48Wj4PpHzxKAvlz1kMpDrM
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-BhRjg5By7kU7pLGfSxEo3F
    uuid-1.3.15-K98GWPhksIQJ0LNPQkNysY

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

